AutoCAD .NET :: Block ScaleFactors Doesn't Change
Jun 9, 2011
I try to place a block on top of another one, and make the new placed block the same same size as the other one. But the block scalefactors doesn't change.
Public Function FixtureConditionOverLayTest(objID as objectID) As Boolean Dim db As Database = acApp.DocumentManager.MdiActiveDocument.Database Dim trans As Transaction = acApp.DocumentManager.MdiActiveDocument.Database.TransactionManager.StartTransaction Try
'--Get Block Ref
[code]....
But I use the same block "5dPlano" through COM, it works fine
Set objBlockRef = g_objDrawing.ModelSpace.InsertBlock(InsertionPoint:=varPoint, _ Name:=BlockName,
_ xscale:=IIf(BlockName = STR_BLOCK_PLANO, dblLength, 1),
_ yscale:=IIf(BlockName = STR_BLOCK_PLANO, dblDepth, 1),
_ zscale:=1, _ Rotation:=Rotation)
How come the .Net method doesn't work?
View 5 Replies
ADVERTISEMENT
Dec 25, 2011
I am trying to scale down a table by half and "scale factor doesn't work. Am I doing something wrong ? it always come in original size and not scale - I tried to put the line before transaction and after appent and before , Here is Code.
Using tr As Transaction = Mydb.TransactionManager.StartTransactionDim btr As BlockTableRecord = tr.GetObject(Mydb.CurrentSpaceId, Open Mode. ForWrite) btr.AppendEntity(tb) tr.AddNewlyCreatedDBObject(tb, True)tb.ScaleFactors = New Scale3d(0.5) tr.Commit() End Using.
View 5 Replies
View Related
Jan 24, 2013
I am in the process of fixing one of our dynamic blocks. It's a fairly simple fix where there was a typo in one of the names of our items in the lookup that needed to be fixed.
I changed the name of the item in the lookup table. I went and did the test block and it seemed to work fine, but when I bring the block into a drawing, it reverts back to the old lookup as if I did nothing at all.
I made sure that the path was correct and I even just dragged and dropped straight from Windows Explorer to no avail.Does AutoCAD keep referring to the old block? Did I forget to change something else?
View 3 Replies
View Related
Oct 28, 2013
I have created a dynamic block with a stretch, flip and rotate. Everything works great in its file. When I insert it in another file, the grips move but the block does not change.
AutoCAD 2014
View 2 Replies
View Related
Oct 26, 2012
When the block is in a drawing and I click it, it takes me to block editor.
However if I go to it in block editor and test block it allows me to change the attributes.
Why does clicking the block go to block editor and not allow me to change its attributes as it does when I test block.
View 9 Replies
View Related
Aug 14, 2012
i have tons of column tags but wants to change the distance between column size and the circle and make the font smaller. I can do this individually but can't do one by one..... is there any way i can adjust all by one command or one magic touch?
View 3 Replies
View Related
Oct 1, 2013
When using the block editor to rename an existing block to clean that instance of the block name out of the file, the block replace command from express tools does not work.
I select a block enter block editor save block as (new Name) save and exit block editor.Insert new block into the drawing.Express tab on the ribbon select Replace Block select block A to be replaced by Block B purge out instance of block A after complete. It reports 0 blocks replaced
attached is a file with 2 blocks called Drain and Drain X each have the same visibility states I want to replace Drain with Drain X to purge out Drain from my file.
View 9 Replies
View Related
Apr 27, 2012
I'm trying to make a dynamic block with attribute text. I've made a FLIP action to it but the text will not follow.
In the Command Window i get this text
Select objects: Specify opposite corner: 16 found
Select objects: 6 unlocked AttDefs filtered from selection.
View 0 Replies
View Related
Aug 31, 2012
select all blocks on certain layers in a drawing, check attribute CIRCUIT in each block if it starts with MS then attribute CONTROL = switched. I hope thats clear enough the way
(defun c:control()
(graphscr)
(Setq sc (ssget "X" '((0 . "INSERT")
[Code].....
View 1 Replies
View Related
Jul 17, 2013
I have created a dynamic block which has hatchings in it.
In the block editor when I do a test of the block everyhting runs smoothly.
Howevfer when it is in model space it fails to keep the hatch boundary associativity. Even when the same dimensions are used as the block has as default.
Why would this be?
View 1 Replies
View Related
Dec 19, 2013
I found an interesting dynamic block. It has a clipping boundary but you can drag the 'leg' out of the boundary. How can I make such block?
See attached dwg file.
View 7 Replies
View Related
Sep 27, 2012
I have problem with attached block (also with other similar blocks with field). This block include field in block attribute. Works fine if I copy and paste this block. When I drag and drop from Tool Pallete field disappeary.
View 9 Replies
View Related
Aug 28, 2011
I have this Dynamic Block which has a few distance parameters on it and an attribute at beginning of each parameter which are attached to a stretch action. If manually bring the block in. And set a value to attribute and then stretch the it , attribute move along with action. But when I do it pragmatically it doesn't . Basically attribute stays at original location of original block before stretch. What is wrong with my code. Or Shall I do something to Attributes when I change the distance parameters in Program? I don't know .
I have a function which bring the block in and set attribute first and then another call which change the distance . So I don't show the first function which to me works fine . The problem is this part.
For Each myBRP As DynamicBlockReferenceProperty In myBRC
For I = 1 To NumbderOfDistanceParamsinDynBlk
If myBRP.PropertyName = "Distance" & Trim(i.ToString) Then
myBRP.Value = DynDistancevalue(i)
End If
Next
Next
View 7 Replies
View Related
Aug 19, 2010
Why my Block command does not work anymore?
I type in the command ( I'm an old school typer, hate the buttons ) BLOCK....then the next thing that happens is (after hitting enter of course), my crosshairs instantly turn into the Windows arrow.
I wasn't playing with any switches. I was just trying to make a little block with a number in it.
Yes, I restarted AutoCAD, restarted the computer, did not reload in AutoCAD.....AutoCAD 2011 by the way.
I run Windows 7 Home Premium 64bit.
I have to do a WBLOCK to make the blocks I need to bypass this odd behavior.
View 7 Replies
View Related
Mar 28, 2012
I have the same problem and want to scale only in one direction. Through the search I find out that the solution is block/insert and I use it.But what is my problem?, Dimension lines.
My drawing has dimension line and I want AutoCad to change the dimension value after inserting according to scale factor. How can I do this? At present after scaling in one direction, dimension value remains same as before scaling.
View 9 Replies
View Related
Mar 18, 2010
why this code doesn't Change the current layout.
Dim acLayoutMgr As LayoutManager
acLayoutMgr = LayoutManager.Current
acLayoutMgr.CurrentLayout = "Model"
View 9 Replies
View Related
Jan 20, 2014
As in the title, expected result in attached drawing. I'm trying to change Origin X /Y, but that doesn't change the origin of the hatch. It there a setting that controls it?
P.S. Is that drawing supposed to be 0.8Mb??
View 8 Replies
View Related
Jun 19, 2012
I just started using Inventor and I have this issue, that whenever I set a dimension in a sketch, the sketch doesn't update to the new dimension until I move my mouse/cursor. Is this normal? Is there any way to change it so it updates as soon as I hit the enter button (after entering a dimension)
View 3 Replies
View Related
Dec 4, 2013
I have a drawing containg wall elements that is referenced into a whole bunch of other drawings (roughly a hundret).
In the wall-drawing i recently set the walls color to "by layer" via the display properties in style manager.
Unfortunately they keep their old color in the other files. I tried visretain and it didn't do the trick.
View 6 Replies
View Related
Nov 28, 2012
Using 2013 sp1.1...After I change the hole size in the part, the callout in my hole note does not update. (crazy, I know).
If I pull a new hole note after the change, it has the correct dimension. But, if I change the hole size again, this new hole note does not update.I put the part on a new idw and it updates correctly, so somehow the idw is hosed.
View 2 Replies
View Related
May 17, 2012
I have an xref file named Base.dwg. I need to replot a drawing (Overall_Road.dwg) which has Base.dwg as xref
I changed the line type of one layer in the Base.dwg file. Changed from DASHED2 to continuous line. Saved and closed Base.dwg
When I open Overall_Road.dwg, the line type doesn't update. I opened "Layer" window and under Linetype, it shows "Base|DASHED2".
How can I fix it to show the updated line type?
View 5 Replies
View Related
May 22, 2013
How Can I Get All Block Attributes and change it
View 9 Replies
View Related
Apr 20, 2011
How to access the BTR, read and write BRef, attDef, AttRef etc. But this has me stumped. There are a few different examples but can’t find anything that works and don't know why.
I have inserted a block in modelspace, I have the BlockRefID and now want to change its attribute values. This finds the attributes tags but doesn’t write the sValue. Why it isn’t writing the value to the block.
Public Sub ChangeAttributeValue(ByVal BlockRefID As ObjectId, ByVal sTagName As String, ByVal sValue As String)
Dim doc As Document = Application.DocumentManager.MdiActiveDocument
Dim db As Database = doc.Database
Dim tr As Transaction = db.TransactionManager.StartTransaction()
Dim br As BlockReference = DirectCast(tr.GetObject(BlockRefID, OpenMode.ForWrite), BlockReference)
[code]........
View 7 Replies
View Related
Nov 1, 2012
I recently changed a block that i then re-saved to a different palette on my tool palette. i deleted the old block out of a current drawing and when i go to insert it i get the old block back and not the new one. if i open up another drawing and insert the block its the new one.
View 3 Replies
View Related
Jan 10, 2012
I'm sure I've seen it here before and have probaly forgotten how to do something that is simple although how do I change an inserted block (A) into block B? i.e. if I select 1000 instances of Block_A I want them to all be converted into Block_B (without editing Block_A) where Block_b is already defined in the CAD file.
View 1 Replies
View Related
Jun 3, 2011
i have a title block in the layout tab which i use for all new docs. when starting a new drawing i open my old one, delete the drawings and save it with a new name - this way i always have my title block how i want it in the Layout 1 tab. this has worked for me so far. but now I need to create an A3 print out.
i have created the picture that i need in modelspace but when i click in the viewport within the layout and select the scale that I have been asked to use, the pic becomes too big for the page.
when i go into page setup i can select a3 and preview this but it just shows my a4 page in the middle of an a3 page. so how to i make the titleblock and viewport bigger (to fit a3)?
View 3 Replies
View Related
Jun 27, 2013
How is possible to change the name the block? I tried to do that through the properties window and it was not possible.
View 2 Replies
View Related
Mar 24, 2011
If I have a dynamic block of a window. I can move either side of the block but the basepoint doesn't move. Is there a way to move the basepoint as well so its not off in space? or just delete it and have it now shown?
View 1 Replies
View Related
Aug 14, 2012
I have revived an old project that was started about 2 years ago. I went to attach my title block in paper space and the drawing was itty bitty.
Seemed unusual because in another layout the title block is there with the same page setups etc.
Then I looked at the block units and they were set to mm. Can it be changed? If so how? Or am I completely hooped?
ACA2011
Win7 64
View 1 Replies
View Related
Jul 31, 2013
I've inserted a block into my drawing with this
....
Dim tmpDb As New Database(False, True)
tmpDb.ReadDwgFile(nombrebloque, System.IO.FileShare.Read, True, "")
Dim Transform As Matrix3d = Matrix3d _
[Code]...
and I would like to change some properties (layer, color,...) of the entities. (without modify the original block)
How can I access to these entities?
View 3 Replies
View Related
Mar 7, 2010
I have an issue regarding nested entity.
I have a nested entity block reference. In this entity I have three blocks. if I change any of the block reference attribute definition in the nested block reference then it is changing the original block itself.
Actually I am getting the handle of the selected block reference in the nested Entity. and change the attribute reference later. but it is making change in the block itself and other block reference too.
Here is my
static public void CONTACTS()
{
Document doc = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument;
Editor ed = doc.Editor;
string contactName = string.Empty;//to hold contact name, from xdata
[code].......
View 3 Replies
View Related